package cl.jtv;


//Title:        Proyecto Turing Visual

//Version:      

//Copyright:    Copyright (c) 1998

//Author:       Marco Antonio Mora Godoy

//Company:      Your Company

//Description:  No admires, CREA!!!!...
import java.awt.*;

class Cursor {

  int x,y;
  private boolean activado;
  
  public Cursor(int ix,int iy) {

     x=ix;
     y=iy;
     activado=false;
  }

  public void mover(int dx,int dy){

     x = dx;
     y = dy;

  }

  public void mover(){

      x+=35;
  }

  public void activar(){
      
      activado=true;
  }
  
  public void desactivar(){
      
      activado=false;
  }
  
  public boolean activado(){
      
      return activado;
      
  }

  public void dibujar(Graphics g){
     
     if(!activado) return;
     
     g.setColor(Color.magenta);
     g.drawLine(x,y,x,y+30);
     g.setColor(Color.black);

  }

}